package ms;

/*
 * This program is Java Object for synonym.
 * It includes two fields word|synonym.
 */

import java.io.*;
import java.util.*;

public class Synonym
{
	// public constructor
	public Synonym()
	{
	}

	public Synonym(TermCat inSynonym, TermCat outSynonym)
	{
		inSynonym_ = inSynonym;
		outSynonym_ = outSynonym;
	}

    // public methods
	public void SetInSynonym(TermCat inSynonym)
	{
		inSynonym_ = inSynonym;
	}

	public void SetOutSynonym(TermCat outSynonym)
	{
		outSynonym_ = outSynonym;
	}

	public TermCat GetInSynonym()
	{
		return inSynonym_;
	}

	public TermCat GetOutSynonym()
	{
		return outSynonym_;
	}

	public String ToString()
	{
		String outStr = inSynonym_.ToString() + SP + outSynonym_.ToString();
		return outStr;
	}

	public String ToDbString()
	{
		String outStr = inSynonym_.ToDbString() + SP + outSynonym_.ToString()
			+ SP;
		return outStr;
	}

    // data member
	final private static String SP = "|";

	private TermCat inSynonym_ = null;	// input synonym 
	private TermCat outSynonym_ = null;	// output synonym
}
